// creator  : weidu.exe (version 23100)
// argument : _IRON12.DLG
// game		 : .
// source	 : ./override/_IRON12.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_IRON12~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #79810 /* ~Hey, no one's supposed to be down here.  State your business, 'fore I have to give you the beats.~ */
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #79811 /* ~Don't get so excited!  We're just checking out some wares that we bought from the Iron Throne.~ */ GOTO 1
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #79811 /* ~Don't get so excited!  We're just checking out some wares that we bought from the Iron Throne.~ */ GOTO 2
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #79812 /* ~We're new recruits.  We were told to have a look around, so that's what we're doing.~ */ GOTO 3
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #79812 /* ~We're new recruits.  We were told to have a look around, so that's what we're doing.~ */ GOTO 4
  IF ~~ THEN REPLY #79813 /* ~Eat steel, scum!~ */ DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #79814 /* ~I wasn't told, and I think yer lying.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #79815 /* ~Okay, carry on then.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #79816 /* ~Lying scum!  There aren't any new recruits.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #79817 /* ~Well, if that's true, yer still not supposed ta be in the basements.  Git outta here.~ */
  IF ~~ THEN EXIT
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 5 // from:
  SAY #79818 /* ~Hey buddy, take as long as you want down here.  It's all been rather lax since the two bosses left.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #79819 /* ~You're not welcome here!  You'll pay with your life!~ */
  IF ~~ THEN EXIT
END
